<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
          xmlns:tools="http://schemas.android.com/tools"
          package="sumra.net.app.infinity_card">

    <uses-permission android:name="android.permission.ACCOUNT_MANAGER"
                     tools:ignore="ProtectedPermissions"/>
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.CAMERA"/>
<!--    <uses-feature android:name="android.hardware.Camera"/>-->  <!--// this method is deprecated-->
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE"/>
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE"/>

    <uses-permission android:name="android.permission.READ_CONTACTS"/>

    <!-- For Android 30 and up -->
<!--    <queries>-->
<!--        <intent>-->
<!--            <action android:name="android.intent.action.VIEW" />-->
<!--            <category android:name="android.intent.category.BROWSABLE" />-->
<!--            <data android:scheme="https" />-->
<!--        </intent>-->
<!--&lt;!&ndash;        <intent>&ndash;&gt;-->
<!--&lt;!&ndash;            <action android:name="android.intent.action.VIEW" />&ndash;&gt;-->
<!--&lt;!&ndash;            <category android:name="android.intent.category.APP_BROWSER" />&ndash;&gt;-->
<!--&lt;!&ndash;            <data android:scheme="https" />&ndash;&gt;-->
<!--&lt;!&ndash;        </intent>&ndash;&gt;-->
<!--    </queries>-->
    <!-- End Android 30 and up -->

    <application
            android:name=".AppCard"
            android:largeHeap="true"
            android:allowBackup="false"
            android:icon="@mipmap/app_launcher"
            android:label="@string/app_name"
            android:roundIcon="@mipmap/app_launcher_round"
            android:supportsRtl="true"
            android:requestLegacyExternalStorage="true"
            android:theme="@style/AppTheme">
<!--        android:name=".activities.ActHomeScreen"-->
        <activity
                android:name=".activities.ActHomeScreen"
                android:label="@string/app_name"
                android:theme="@style/AppTheme.NoActionBar"
                android:screenOrientation="portrait">
<!--                android:windowSoftInputMode="stateHidden|adjustNothing">-->
            <intent-filter>
                <action android:name="android.intent.action.MAIN"/>
                <category android:name="android.intent.category.LAUNCHER"/>
            </intent-filter>
<!--            <intent-filter>-->
<!--                <action android:name="android.intent.action.VIEW"/>-->
<!--                <category android:name="android.intent.category.DEFAULT"/>-->
<!--                <category android:name="android.intent.category.BROWSABLE"/>-->
<!--                <data android:scheme="sumra.infinity"/>-->
<!--            </intent-filter>-->
<!--            <intent-filter>-->
<!--                <action android:name="android.intent.action.VIEW"/>-->
<!--                <category android:name="android.intent.category.DEFAULT"/>-->
<!--                <category android:name="android.intent.category.BROWSABLE"/>-->
<!--                <data android:scheme="https"-->
<!--                      android:host="apim.sumra.net"-->
<!--                      android:path="/oauth2/token"/>-->
<!--            </intent-filter>-->
        </activity>

        <provider
                android:name="androidx.core.content.FileProvider"
                android:authorities="sumra.net.app.infinity_card_file_provider"
                android:grantUriPermissions="true"
                android:exported="false">
            <meta-data
                    android:name="android.support.FILE_PROVIDER_PATHS"
                    android:resource="@xml/file_path"/>
        </provider>

<!--        <provider-->
<!--                android:name="android.support.v4.content.FileProvider"-->
<!--                android:authorities="com.example.android.provider"-->
<!--                android:exported="false"-->
<!--                android:grantUriPermissions="true">-->
<!--            <meta-data-->
<!--                    android:name="android.support.FILE_PROVIDER_PATHS"-->
<!--                    android:resource="@xml/file_paths"></meta-data>-->
<!--        </provider>-->

    </application>

</manifest>